ros-jazzy-launch-pytest (3.4.8-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 16 Oct 2025 22:00:00 -0000

ros-jazzy-launch-pytest (3.4.7-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 05 Oct 2025 22:00:00 -0000

ros-jazzy-launch-pytest (3.4.6-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 05 Aug 2025 22:00:00 -0000

ros-jazzy-launch-pytest (3.4.5-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 22 Jun 2025 22:00:00 -0000

ros-jazzy-launch-pytest (3.4.4-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Apr 2025 22:00:00 -0000

ros-jazzy-launch-pytest (3.4.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 17 Dec 2024 23:00:00 -0000

ros-jazzy-launch-pytest (3.4.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 15 Apr 2024 22:00:00 -0000

ros-jazzy-launch-pytest (3.4.1-1noble) noble; urgency=high

  * Switch tryfirst/trylast to hookimpl.
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 27 Mar 2024 23:00:00 -0000

ros-jazzy-launch-pytest (3.4.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Feb 2024 23:00:00 -0000

ros-jazzy-launch-pytest (3.3.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 23 Jan 2024 23:00:00 -0000

ros-jazzy-launch-pytest (3.2.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Dec 2023 23:00:00 -0000

ros-jazzy-launch-pytest (3.2.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 03 Oct 2023 22:00:00 -0000

ros-jazzy-launch-pytest (3.1.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Sep 2023 22:00:00 -0000

ros-jazzy-launch-pytest (3.0.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 06 Sep 2023 22:00:00 -0000

ros-jazzy-launch-pytest (3.0.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 20 Aug 2023 22:00:00 -0000

ros-jazzy-launch-pytest (2.2.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Jul 2023 22:00:00 -0000

ros-jazzy-launch-pytest (2.2.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Jun 2023 22:00:00 -0000

ros-jazzy-launch-pytest (2.1.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 26 Apr 2023 22:00:00 -0000

ros-jazzy-launch-pytest (2.0.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Apr 2023 22:00:00 -0000

ros-jazzy-launch-pytest (2.0.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Apr 2023 22:00:00 -0000

ros-jazzy-launch-pytest (1.4.1-1noble) noble; urgency=high

  * Fixed typos (#692 <https://github.com/ros2/launch/issues/692>)
  * Contributors: Alejandro Hernández Cordero

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 23 Feb 2023 23:00:00 -0000

ros-jazzy-launch-pytest (1.4.0-1noble) noble; urgency=high

  * Drop unused data_files entry for example_processes (#680 <https://github.com/ros2/launch/issues/680>)
  * Spelling correction
  * [rolling] Update maintainers - 2022-11-07 (#671 <https://github.com/ros2/launch/issues/671>)
  * Contributors: Audrow Nash, Geoffrey Biggs, Scott K Logan

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 13 Feb 2023 23:00:00 -0000

ros-jazzy-launch-pytest (1.3.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Nov 2022 23:00:00 -0000

ros-jazzy-launch-pytest (1.2.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 12 Sep 2022 22:00:00 -0000

ros-jazzy-launch-pytest (1.1.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 28 Apr 2022 22:00:00 -0000

ros-jazzy-launch-pytest (1.0.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 12 Apr 2022 22:00:00 -0000

ros-jazzy-launch-pytest (1.0.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 11 Apr 2022 22:00:00 -0000

ros-jazzy-launch-pytest (0.23.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Apr 2022 22:00:00 -0000

ros-jazzy-launch-pytest (0.23.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 29 Mar 2022 22:00:00 -0000

ros-jazzy-launch-pytest (0.22.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 27 Mar 2022 22:00:00 -0000

ros-jazzy-launch-pytest (0.21.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Feb 2022 23:00:00 -0000

ros-jazzy-launch-pytest (0.21.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 Jan 2022 23:00:00 -0000

ros-jazzy-launch-pytest (0.20.0-1noble) noble; urgency=high

  * Update maintainers to Aditya Pande and Michel Hidalgo (#559 <https://github.com/ros2/launch/issues/559>)
  * [launch_pytest] Modify how wait_for_output()/wait_for_stderr() work, add assert_*() alternatives (#553 <https://github.com/ros2/launch/issues/553>)
  * Updated maintainers (#555 <https://github.com/ros2/launch/issues/555>)
  * 
    
      * [launch_pytest] Fix issue when colcon --retest-until-fail flag is used (#552 <https://github.com/ros2/launch/issues/552>)
    
  * First prototype of native pytest plugin for launch based tests (#528 <https://github.com/ros2/launch/issues/528>)
  * Contributors: Aditya Pande, Audrow Nash, Ivan Santiago Paunovic

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 28 Nov 2021 23:00:00 -0000

ros-jazzy-launch-pytest (0.19.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 14 Jul 2021 22:00:00 -0000

ros-jazzy-launch-pytest (0.18.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 17 Jun 2021 22:00:00 -0000

ros-jazzy-launch-pytest (0.17.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 05 Apr 2021 22:00:00 -0000

ros-jazzy-launch-pytest (0.16.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 18 Mar 2021 23:00:00 -0000

ros-jazzy-launch-pytest (0.15.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 24 Jan 2021 23:00:00 -0000

ros-jazzy-launch-pytest (0.14.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 07 Dec 2020 23:00:00 -0000

ros-jazzy-launch-pytest (0.13.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 03 Nov 2020 23:00:00 -0000

ros-jazzy-launch-pytest (0.12.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 17 Aug 2020 22:00:00 -0000

ros-jazzy-launch-pytest (0.11.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 Aug 2020 22:00:00 -0000

ros-jazzy-launch-pytest (0.11.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 03 Aug 2020 22:00:00 -0000

ros-jazzy-launch-pytest (0.10.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 May 2020 22:00:00 -0000

ros-jazzy-launch-pytest (0.10.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 May 2020 22:00:00 -0000

ros-jazzy-launch-pytest (0.10.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 23 Apr 2020 22:00:00 -0000

ros-jazzy-launch-pytest (0.9.5-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 12 Nov 2019 23:00:00 -0000

ros-jazzy-launch-pytest (0.9.4-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Nov 2019 23:00:00 -0000

ros-jazzy-launch-pytest (0.9.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 23 Oct 2019 20:36:00 -0000

ros-jazzy-launch-pytest (0.9.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 23 Oct 2019 15:49:00 -0000

ros-jazzy-launch-pytest (0.9.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 17 Sep 2019 22:00:00 -0000

ros-jazzy-launch-pytest (0.8.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 28 May 2019 22:00:00 -0000

ros-jazzy-launch-pytest (0.8.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 19 May 2019 22:00:00 -0000

ros-jazzy-launch-pytest (0.8.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 07 May 2019 22:00:00 -0000

ros-jazzy-launch-pytest (0.8.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 12 Apr 2019 22:00:00 -0000

ros-jazzy-launch-pytest (0.7.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Dec 2018 23:00:00 -0000

ros-jazzy-launch-pytest (0.7.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 15 Nov 2018 23:00:00 -0000

ros-jazzy-launch-pytest (0.6.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 19 Aug 2018 22:00:00 -0000

ros-jazzy-launch-pytest (0.5.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 16 Jul 2018 22:00:00 -0000

ros-jazzy-launch-pytest (0.5.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 26 Jun 2018 22:00:00 -0000

ros-jazzy-launch-pytest (0.5.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 18 Jun 2018 22:00:00 -0000

ros-jazzy-launch-pytest (0.4.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Dec 2017 23:00:00 -0000


